/*
 * Copyright (C) 2005 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.print;

import org.xml.sax.Locator;

/**
 * Name: AssertionException<br>
 * Description: A class for assertion failures thrown by the &lt;assert&gt; tag.
 * 
 * @author lauerc
 */
public class AssertionException extends DocumentHandlerException {

  /** The serial version UID. */
  static final long serialVersionUID = -2098552095525840116L;

  /**
   * Constructs a AssertionException instance with specific attributes.
   * @param locator Holds the locator of the XML document, where the exception occured.
   * @param msg The error message.
   */
  public AssertionException(Locator locator, String msg) {
    super(locator, msg);
  }
  
  /**
   * Constructs a AssertionException instance with specific attributes.
   * @param locator Holds the locator of the XML document, where the exception occured.
   * @param msg The error message.
   * @param cause The cause of the error. 
   */
  public AssertionException(Locator locator, String msg, Throwable cause) {
    super(locator, msg, cause);
  }

}
