/*
 * Copyright (C) 2004 - 2008 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.print;

import java.awt.Font;

/**
 * Name: AwtFont<br>
 * Description: Special AWT Font implementation which enables proper font handling at iText PDF graphics.
 * 
 * @author lauerc
 */
public class AwtFont extends Font {

  /** The serial version UID. */
  static final long serialVersionUID = -6360777984640484464L;
  
  /** The font name. */
  private String fontName = null;
  
  /**
   * Constructs a AwtFont instance with specific attributes.
   * @param name The font name.
   * @param style The font style.
   * @param size The font size.
   */
  public AwtFont(String name, int style, int size) {
    super(name, style, size);
    switch (style) {
      case Font.PLAIN:
        this.fontName = name;
        break;
      case Font.BOLD:
        this.fontName = name + "-bold";
        break;
      case Font.ITALIC:
        this.fontName = name + "-italic";
        break;
      case Font.BOLD + Font.ITALIC:
        this.fontName = name + "-bolditalic";
        break;
      default: // same as plain
        this.fontName = name;
        break;
    }
  }

  /**
   * Getter method for the the property fontName.
   * @return The current value of property fontName.
   */
  public String getFontName() {
    return fontName;
  }

}
