/*
 * Copyright (C) 2003 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */

package org.ujac.print;

import com.lowagie.text.pdf.PdfPageEventHelper;

/**
 * Name: DocumentPageEventHandler<br>
 * Description: A base class for page event handlers.<br>
 * 
 * @author lauerc
 */
public class DocumentPageEventHandler extends PdfPageEventHelper {

  /**
   * Tells whether this event handler is temporary, and should be removed after the 
   * first usage or not.
   * @return true, if this handler should be executed only once, else false.
   */
  public boolean isTemporary() {
    return false;
  }

}
