/*
 * Copyright (C) 2005 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.print;

import org.xml.sax.Locator;

/**
 * Name: EscapeSequenceTextAttributeHandler<br>
 * Description: Attribute handler for texts which may hold escape sequences.
 * 
 * @author lauerc
 */
public class EscapeSequenceTextAttributeHandler extends TypedAttributeHandler {
  
  /**
   * Constructs a EscapeSequenceTextAttributeHandler instance with specific attributes.
   * @param attributeHandler The attribute handler to use.
   */
  public EscapeSequenceTextAttributeHandler(AttributeHandler attributeHandler) {
    super(attributeHandler);
  }

  /**
   * @see org.ujac.print.TypedAttributeHandler#parseAttribute(org.xml.sax.Locator, java.lang.String, java.lang.Object, boolean)
   */
  public Object parseAttribute(Locator locator, String attrName, Object attrValue, boolean evaluate) throws TagAttributeException {
    return attributeHandler.parseTextAttribute(locator, attrName, attrValue, evaluate, true);
  }

  
}
