/*
 * Copyright (C) 2003 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */

package org.ujac.print;

/**
 * Name: ItemHolder<br>
 * Description: An interface for item holding tags.
 * 
 * @author lauerc
 */
public interface ItemHolder {

  /**
   * Adds the given item to the item holder's container.
   * @param item The item to add.
   * @exception TagAttributeException In case the adding of the item has been failed.
   */
  void addItem(Object item) throws TagAttributeException;

  /**
   * Parses a value from the given text according to the rules of the item holder's container.
   * @param text The text to parse.
   * @return The parsed value.
   * @exception TagAttributeException In case the adding of the item has been failed.
   */
  Object parseItem(String text) throws TagAttributeException;

}
