/*
 * Copyright (C) 2003 - 2008 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.print.tag;

import org.ujac.print.Condition;
import org.ujac.print.FontHolder;

import org.ujac.util.table.Row;
import org.ujac.util.table.TableConstants;

/**
 * Name: PrintHeaderRowTag<br>
 * Description: A class printing header rows.
 * 
 * @author lauerc
 */
public class PrintFooterRowTag 
  extends PrintRowTag
  implements FontHolder, Condition, RowCellContainer {
    
  /** The item's name. */
  public static final String TAG_NAME = "print-footer-row";
  
  /**
   * Constructs a PrintFooterRowTag instance with no specific attributes.
   */
  public PrintFooterRowTag() {
    super(TAG_NAME);
  }

  /**
   * Gets a brief description for the item.
   * @return The item's description.
   */
  public String getDescription() {
    return "Prints the contents of table footer rows.";
  }

  /**
   * @see org.ujac.print.Condition#isTrue()
   */
  public boolean isTrue() {
    Row currentRow = (Row) rowContainer.getCurrentValue();
    return (currentRow != null) && TableConstants.ROW_TYPE_FOOTER.equals(currentRow.getType());
  }
  
}
