/*
 * Copyright (C) 2003, 2004 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.print.tag;

import org.ujac.print.DocumentHandlerException;
import org.ujac.print.StyleHolder;

/**
 * Name: RowCellContainer<br>
 * Description: An interface for RowCell holding containers.
 * 
 * @author lauerc
 */
public interface RowCellContainer extends StyleHolder {

  /**
   * Registers the given cell style for the specified column name.
   * @param rowCell The row cell to register.
   * @exception DocumentHandlerException In case the row-cell registration failed.
   */
  void registerRowCell(RowCellTag rowCell) throws DocumentHandlerException;

  /**
   * Gets the cell attributes.
   * @return The cell attributes.
   */
  CellAttributes getCellAttributes();

}
