/*
 * Copyright (C) 2003 - 2007 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.print.tag.acroform;

/**
 * Name: Option<br>
 * Description: A class for option items, used by combo boxes and lists.
 * 
 * @author lauerc
 */
public class Option {
  
  /** The option value. */
  private String value = null; 
  /** The option text. */
  private String text = null; 

  /**
   * Constructs a Option instance with specific attributes.
   * @param value The initial option value.
   * @param text The initial option text.
   */
  public Option(String value, String text) {
    this.value = value;
    this.text = text;
  }
  
  /**
   * Getter method for the the property value.
   * @return The current value of property value.
   */
  public String getValue() {
    return value;
  }
  /**
   * Setter method for the the property value.
   * @param value The value to set for the property value.
   */
  public void setValue(String value) {
    this.value = value;
  }

  /**
   * Getter method for the the property text.
   * @return The current value of property text.
   */
  public String getText() {
    return text;
  }
  /**
   * Setter method for the the property text.
   * @param text The value to set for the property text.
   */
  public void setText(String text) {
    this.text = text;
  }

}
