/*
 * Copyright (C) 2003 - 2007 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.print.tag.graphics;

import org.ujac.print.TagAttributeException;

/**
 * Name: PointHolder<br>
 * Description: Interface for tags that can contain points.
 * 
 * @author lauerc
 */
public interface PointHolder {

  /**
   * Adds the given point to the point holder's container.
   * @param x The horizontal position of the point.
   * @param y The vertical position of the point.
   * @exception TagAttributeException In case the adding of the option has been failed.
   */
  void addPoint(float x, float y) throws TagAttributeException;

}
