/*
 * Copyright (C) 2004 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.print.test;

import java.io.FileOutputStream;
import java.io.IOException;

import org.ujac.print.DocumentHandlerException;

import org.ujac.util.io.HttpResourceLoader;

/**
 * Name: OptionalPrinterTests<br>
 * Description: Implements optional test for the UJAC print module.
 * 
 * @author lauerc
 */
public class OptionalPrinterTests extends BasePrintTest {

  /**
   * Sets up the test data.
   * @exception Exception In case a problem occured during the set up.
   */
  protected void setUp() throws Exception {
    super.setUp();
  }
  
  /**
   * Tests the access of remote resources. 
   * @exception DocumentHandlerException In case the document processing failed.
   * @throws IOException In case the document template file could not be opened or the
   *   resource loading failed.
   */
  public void testResources() throws DocumentHandlerException, IOException {
    setTemplateSource("test/print/resource-test.xml");
    docPrinter.setResourceLoader(new HttpResourceLoader("http://ujac.sourceforge.net/"));
    this.docPrinter.printDocument(new FileOutputStream("test/resource-test.pdf"), false);
  }

}
