/*
 * Copyright (C) 2005 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.util;

/**
 * Name: UjacTypes<br>
 * Description: Defines common types.
 * 
 * @author lauerc
 */
public interface UjacTypes {

  /** Constant for column type String. */
  int TYPE_STRING = 1;
  /** Constant for column type int. */
  int TYPE_INT = 2;
  /** Constant for column type short. */
  int TYPE_SHORT = 3;
  /** Constant for column type long. */
  int TYPE_LONG = 4;
  /** Constant for column type float. */
  int TYPE_FLOAT = 5;
  /** Constant for column type double. */
  int TYPE_DOUBLE = 6;
  /** Constant for column type boolean. */
  int TYPE_BOOLEAN = 7;
  /** Constant for column type Date. */
  int TYPE_DATE = 8;
  /** Constant for column type Time. */
  int TYPE_TIME = 9;
  /** Constant for column type Timestamp. */
  int TYPE_TIMESTAMP = 10;
  /** Constant for column type Object. */
  int TYPE_OBJECT = 11;
  /** Constant for column type Table. */
  int TYPE_TABLE = 12;

  /** Constant for column type String. */
  String TYPE_NAME_STRING = "string";
  /** Constant for column type int. */
  String TYPE_NAME_INT = "int";
  /** Constant for column type short. */
  String TYPE_NAME_SHORT = "short";
  /** Constant for column type long. */
  String TYPE_NAME_LONG = "long";
  /** Constant for column type float. */
  String TYPE_NAME_FLOAT = "float";
  /** Constant for column type double. */
  String TYPE_NAME_DOUBLE = "double";
  /** Constant for column type boolean. */
  String TYPE_NAME_BOOLEAN = "boolean";
  /** Constant for column type Date. */
  String TYPE_NAME_DATE = "date";
  /** Constant for column type Time. */
  String TYPE_NAME_TIME = "time";
  /** Constant for column type Timestamp. */
  String TYPE_NAME_TIMESTAMP = "timestamp";
  /** Constant for column type Object. */
  String TYPE_NAME_OBJECT = "object";
  /** Constant for column type Table. */
  String TYPE_NAME_TABLE = "table";

}
