/*
 * Copyright (C) 2007 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.util.exi;

/**
 * Name: ConditionResultHolder<br>
 * Description: Holds results of conditional evaluations.

 * @author lauerc
 */
public class ConditionResultHolder {
  
  /** The status. */
  private boolean status = false;
  /** The evaluation result. */
  private Object result = null;
  
  /**
   * Constructs a ConditionResultHolder instance with specific attributes.
   * @param status The initial status.
   * @param result The initial result.
   */
  public ConditionResultHolder(boolean status, Object result) {
    this.status = status;
    this.result = result;
  }
  
  /**
   * Getter method for the the property status.
   * @return The current value of property status.
   */
  public boolean isStatus() {
    return status;
  }
  /**
   * Setter method for the the property status.
   * @param status The value to set for the property status.
   */
  public void setStatus(boolean status) {
    this.status = status;
  }
  
  /**
   * Getter method for the the property result.
   * @return The current value of property result.
   */
  public Object getResult() {
    return result;
  }
  /**
   * Setter method for the the property result.
   * @param result The value to set for the property result.
   */
  public void setResult(Object result) {
    this.result = result;
  }
  
}
