/*
 * Copyright (C) 2005 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.util.exi;

/**
 * Name: TypeCastException<br>
 * Description: An exception that is thrown in case a type cast failed.<br>
 * 
 * @author lauerc
 */
public class TypeCastException extends ExpressionException {

  /** The serial version UID. */
  private static final long serialVersionUID = 3258409525970220336L;

  /**
   * Constructs a TypeCastException instance with no specific attributes.
   */
  public TypeCastException() {
  }

  /**
   * Constructs a TypeCastException instance with specific attributes.
   * @param msg The error message.
   */
  public TypeCastException(String msg) {
    super(msg);
  }

}
