/*
 * Copyright (C) 2003, 2004, 2005 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */

package org.ujac.util.exi.test;

import org.ujac.util.StopWatch;

import junit.framework.Test;
import junit.framework.TestResult;
import junit.framework.TestSuite;

/**
 * Name: AllTemplateTests<br>
 * Description: Test suite running all expression interpreter test cases.
 * 
 * @author lauerc
 */
public class AllExpressionInterpreterTests extends TestSuite {

  /**
   * Constructs a new AllTemplateTests instance.
   * @param name The name of the new test suite.
   */
  public AllExpressionInterpreterTests(String name) {
    super(name);
    
    addTestSuite(NumberTypeTest.class);
    addTestSuite(BeanAccessTest.class);
    addTestSuite(DateTypeTest.class);
    addTestSuite(StringTypeTest.class);
    addTestSuite(TableTypeTest.class);
    addTestSuite(CollectionTypeTest.class);
    addTestSuite(BasicsTest.class);
    addTestSuite(ArrayTypeTest.class);
    addTestSuite(ConditionTest.class);
  }

  /**
   * Creates a new instance of the test suite.
   * @return The created test suite.
   */
  public static Test suite() {
    return new AllExpressionInterpreterTests("Tests for package org.ujac.util.exi");
  }


  /**
   * The main method for testing purposes.
   * @param args The command line arguments.
   */
  public static void main(String[] args) {
    StopWatch sw = new StopWatch();
    Test ts = suite();
    TestResult result = new TestResult();
    ts.run(result);
    System.out.println("AllExpressionInterpreterTests took " + sw.stop() + "ms");
  }

}
