/*
 * Copyright (C) 2003 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */

package org.ujac.util.exi.test;

import java.util.HashMap;
import java.util.Locale;
import java.util.Map;

import junit.framework.TestCase;

import org.ujac.util.exi.ExpressionInterpreter;

import org.ujac.util.text.FormatHelper;

/**
 * Name: BaseExpressionTest<br>
 * Description: A base class for expression tests.
 * 
 * @author lauerc
 */
public class BaseExpressionTest extends TestCase {

  /** The properties to use for expression evaluation. */
  protected Map properties = new HashMap();
  /** The expression interpreter to test. */ 
  protected ExpressionInterpreter exi = null; 
  /** The format helper to use. */ 
  protected FormatHelper formatHelper = null;

  /**
   * @see junit.framework.TestCase#setUp()
   */
  protected void setUp() throws Exception {
    super.setUp();
    // creating expression interpreter
    exi = ExpressionInterpreter.createInstance();
    // creating format helper for international locale
    this.formatHelper = FormatHelper.createInstance(Locale.US);
  }

}
