/*
 * Copyright (C) 2005 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.util.io.test;

import org.ujac.util.StopWatch;

import junit.framework.Test;
import junit.framework.TestResult;
import junit.framework.TestSuite;

/**
 * Name: AllIOTests<br>
 * Description: Test suite running all I/O test cases.
 * 
 * @author lauerc
 */
public class AllIOTests extends TestSuite {

  /**
   * Constructs a AllIOTests instance with specific attributes.
   * @param name Name of the test suite.
   */
  public AllIOTests(String name) {
    super(name);
    
    addTestSuite(FileResourceLoaderTest.class);
    addTestSuite(ClassPathResourceLoaderTest.class);
    //addTestSuite(HttpResourceLoaderTest.class);
    addTestSuite(MultiResourceLoaderTest.class);
    addTestSuite(CachedResourceLoaderTest.class);
  }

  /**
   * Creates a new instance of the test suite.
   * @return The created test suite.
   */
  public static Test suite() {
    return new AllIOTests("Tests for package org.ujac.util.io");
  }

  /**
   * The main method for testing purposes.
   * @param args The command line arguments.
   */
  public static void main(String[] args) {
    StopWatch sw = new StopWatch();
    Test ts = suite();
    TestResult result = new TestResult();
    ts.run(result);
    System.out.println("AllIOTests took " + sw.stop() + "ms");
  }

}
