/*
 * Copyright (C) 2005 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.util.io.test;

import java.io.IOException;

import org.ujac.util.io.FileResourceLoader;
import org.ujac.util.io.ResourceLoader;

import junit.framework.TestCase;

/**
 * 
 * Name: FileResourceLoaderTest<br>
 * Description: Test cases for the FileResourceLoader class.
 * 
 * @author lauerc
 */
public class FileResourceLoaderTest extends TestCase {
  
  /** The resource loader to test. */  
  private ResourceLoader rl = null;
  
  /**
   * @see junit.framework.TestCase#setUp()
   */
  protected void setUp() throws Exception {
    super.setUp();
    rl = new FileResourceLoader(".");
  }
  
  /**
   * Tests attribute name conversion.
   */
  public void testResourceExists() {
    assertTrue(rl.resourceExists("test/print/bullit.gif"));
    assertFalse(rl.resourceExists("test/print/bullit.jpg"));
  }

  /**
   * Tests attribute name conversion.
   * @exception IOException In case the resource could not be loaded.
   */
  public void testLoadResource() throws IOException {
    assertEquals(1556, rl.loadResource("test/print/bullit.gif").length);
  }

  /**
   * Runs all test cases.
   * @param args The command line arguments.
   */
  public static void main(String[] args) {
    new FileResourceLoaderTest().run();
  }

}
