/*
 * Copyright (C) 2008 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.util.table;

/**
 * Name: BaseRowFilterRule<br>
 * Description: A base table row filter rule implementation.
 * 
 * @author lauerc
 */
public abstract class BaseRowFilterRule implements RowFilterRule {
  
  /** The column name. */
  protected String columnName = null;
  /** The column index. */
  protected int columnIndex = -1;
  
  /**
   * Constructs a BaseRowFilteRule instance with specific attributes.
   * @param columnName The column name.
   */
  public BaseRowFilterRule(String columnName) {
    
    this.columnName = columnName;
  }
  
  /** 
   * Sets up the rule. 
   * @param table The table for which set up the rule.
   * @exception TableException In case a table handling failure occurred.
   */
  public void setup(Table table) throws TableException {
    this.columnIndex = table.getColumnIndex(columnName);
  }
  
}
