/*
 * Copyright (C) 2008 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.util.table;

import java.util.Collection;

import org.ujac.util.CollectionUtils;


/**
 * Name: InRowFilterRule<br>
 * Description: Description of the class.
 * 
 * @author lauerc
 */
public class InRowFilterRule extends BaseRowFilterRule {

  /** The value set to compare the column value with. */
  private Collection valueSet = null;
  
  /**
   * Constructs a InRowFilterRule instance with specific attributes.
   * @param table The table.
   * @param columnName The column name.
   * @param valueSet The value set to compare the field values with.
   */
  public InRowFilterRule(String columnName, Collection valueSet) {
    super(columnName);
    this.valueSet = valueSet;
  }

  /**
   * @see org.ujac.util.table.RowFilterRule#test(org.ujac.util.table.Row)
   */
  public boolean test(Row row) throws TableException {
    return CollectionUtils.contains(valueSet, row.getObject(columnIndex));
  }

}
