/*
 * Copyright (C) 2003, 2004, 2005 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.util.table;

/**
 * Name: OperationNotSupportedException<br>
 * Description: Class for exceptions, telling that the called method is not supported
 *   by the called implementation.
 * 
 * @author lauerc
 */
public class OperationNotSupportedException extends TableException {

  /** The serial version UID. */
  static final long serialVersionUID = -4076032943723290263L;

  /**
   * Constructs a OperationNotSupportedException instance with specific attributes.
   */
  public OperationNotSupportedException() {
    super();
  }

  /**
   * Constructs a OperationNotSupportedException instance with specific attributes.
   * @param message The error message.
   */
  public OperationNotSupportedException(String message) {
    super(message);
  }

  /**
   * Constructs a OperationNotSupportedException instance with no specific arguments.
   * @param msg The error message.
   * @param cause The cause of the error. 
   */
  public OperationNotSupportedException(String msg, Throwable cause) {
    super(msg, cause);
  }

}
