/*
 * Copyright (C) 2008 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.util.table;

/**
 * Name: TableRowFilter<br>
 * Description: An interface for table row filters.
 * 
 * @author lauerc
 */
public interface RowFilterRule {

  /** 
   * Sets up the rule. 
   * @param table The table for which set up the rule.
   * @exception TableException In case a table handling failure occurred.
   */
  void setup(Table table) throws TableException;

  /** 
   * Tests the filter rule for the given row. 
   * @param row The row to test.
   * @return true in case the test was successfully passed valid, else false.
   * @exception TableException In case a table handling failure occurred.
   */
  boolean test(Row row) throws TableException;
  
}
