/*
 * Copyright (C) 2003 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */

package org.ujac.util.table;

import java.text.DateFormat;
import java.text.NumberFormat;
import org.ujac.util.UjacTypes;

/**
 * Name: TableConstants<br>
 * Description: Defines common constants for the main table classes.
 * 
 * @author lauerc
 */
public interface TableConstants extends UjacTypes {

  /** The standard date format. */
  DateFormat DEFAULT_DATE_FORMAT = DateFormat.getDateInstance();
  /** The standard time format. */
  DateFormat DEFAULT_TIME_FORMAT = DateFormat.getTimeInstance();
  /** The standard timestamp format. */
  DateFormat DEFAULT_TIMESTAMP_FORMAT = DateFormat.getDateTimeInstance();
  /** The standard integer format. */
  NumberFormat DEFAULT_INTEGER_FORMAT = null;
  /** The standard double format. */
  NumberFormat DEFAULT_DOUBLE_FORMAT = NumberFormat.getNumberInstance();

  /** Constant for row type 'normal'. */
  String ROW_TYPE_NORMAL = "normal";
  /** Constant for row type 'header'. */
  String ROW_TYPE_HEADER = "header";
  /** Constant for row type 'footer'. */
  String ROW_TYPE_FOOTER = "footer";
  /** Constant for row type 'group'. */
  String ROW_TYPE_GROUP = "group";
  /** Constant for row type 'groupTitle'. */
  String ROW_TYPE_GROUP_TITLE = "groupTitle";

}
