/*
 * Copyright (C) 2005 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.util.template;

import java.util.Map;
import org.ujac.util.exi.ExpressionInterpreter;
import org.ujac.util.text.FormatHelper;

/**
 * Name: DefaultTemplateInterpreterFactory<br>
 * Description: The default TemplateInterpreterFactory implementation.
 * 
 * @author lauerc
 */
public class DefaultTemplateInterpreterFactory implements TemplateInterpreterFactory {
  
  /**
   * Creates a TemplateInterpreter instance.
   * @return The created TemplateInterpreter instance.
   */
  public TemplateInterpreter createTemplateInterpreter() {
    return new DefaultTemplateInterpreter(ExpressionInterpreter.createInstance());
  }

  /**
   * Creates a TemplateContext instance.
   * @param properties The properties to use.
   * @param formatHelper The format helper to use.
   * @return The created TemplateContext instance.
   */
  public TemplateContext createTemplateContext(Map properties, FormatHelper formatHelper) {
    return new TemplateContext(properties, formatHelper);
  }

}
