/*
 * Copyright (C) 2007 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.util.template;

/**
 * Name: ExpressionFilter<br>
 * Description: A filter for expressions.
 * 
 * @author lauerc
 */
public interface ExpressionFilter {
  
  /**
   * Filters the expression from the given String
   * @param code The code to filter.
   * @param offset The offset to start filtering.
   * @param maxPos The max pos to seek.
   * @return -1 in case no match was found, otherwise the end of the determined static block.
   */
  int filterExpression(char[] code, int offset, int maxPos);
  
}
