/*
 * Copyright (C) 2003, 2004, 2005 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */

package org.ujac.util.template;

import org.ujac.util.exi.ExpressionException;

/**
 * Name: StatementException<br>
 * Description: A class used to report exceptions, that occur in class ExpressionInterpreter when handling statements.<br>
 * 
 * @author lauerc
 */
public class StatementException extends ExpressionException {

  /** The serial version UID. */
  static final long serialVersionUID = -4268049261436240392L;

  /**
   * Creates an instance with no specific arguments.
   */
  public StatementException() {
  }
  
  /**
   * Creates an instance with specific arguments.
   * @param msg The error message.
   */
  public StatementException(String msg) {
    super(msg);
  }
  
  /**
   * Creates an instance with specific arguments.
   * @param msg The error message.
   * @param cause The cause of the error. 
   */
  public StatementException(String msg, Throwable cause) {
    super(msg, cause);
  }

}
