/*
 * Copyright (C) 2003 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */

package org.ujac.util.template.test;

import java.util.HashMap;
import java.util.Locale;

import junit.framework.TestCase;

import org.ujac.util.template.DefaultTemplateInterpreterFactory;
import org.ujac.util.template.TemplateContext;
import org.ujac.util.template.TemplateInterpreter;
import org.ujac.util.template.TemplateInterpreterFactory;
import org.ujac.util.text.FormatHelper;

/**
 * Name: BaseTemplateTest<br>
 * Description: A base class for template tests.
 * 
 * @author lauerc
 */
public class BaseTemplateTest extends TestCase {

  /** The template interpreter to test. */ 
  protected TemplateInterpreter interpreter = null;
  /** The template context to use. */
  protected TemplateContext ctx = null;

  /**
   * @see junit.framework.TestCase#setUp()
   */
  protected void setUp() throws Exception {
    super.setUp();
    // creating factory
    TemplateInterpreterFactory tif = new DefaultTemplateInterpreterFactory();
    // creating template interpreter
    this.interpreter = tif.createTemplateInterpreter();
    // creating expression context
    this.ctx = tif.createTemplateContext(new HashMap(), FormatHelper.createInstance(Locale.US));
  }

}
