/*
 * Copyright (C) 2005 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.util.types;

import org.ujac.util.TypeConverterException;
import org.ujac.util.text.FormatHelper;


/**
 * Name: DataType<br>
 * Description: Description of the class.
 * 
 * @author lauerc
 */
public interface DataType {
  
  /**
   * Gets the type ID.
   * @return The type ID.
   * @see org.ujac.util.UjacTypes
   */
  int getTypeId();
  
  /**
   * Converts the given value into an instance of this type.
   * @param value The value to convert.
   * @param formatHelper The format helper to use. 
   * @return The according instance.
   * @exception TypeConverterException In case the conversion failed.
   */
  Object convertObject(Object value, FormatHelper formatHelper) throws TypeConverterException;

  /**
   * FormatsConverts the given value into an instance of this type.
   * @param value The value to convert. 
   * @param formatHelper The format helper to use. 
   * @return The formatted value.
   * @exception TypeConverterException In case the conversion failed.
   */
  String formatValue(Object value, FormatHelper formatHelper) throws TypeConverterException;

}
