/*
 * Copyright (C) 2003 - 2008 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.web.tag;

import org.ujac.util.table.GroupRow;
import org.ujac.util.table.Row;
import org.ujac.util.table.TableConstants;

/**
 * Name: PrintGroupRowTag<br>
 * Description: A custom tag class printing group rows.
 * 
 * @author lauerc
 */
public class PrintGroupRowTag extends PrintRowTag {

  /** The serial version UID. */
  private static final long serialVersionUID = 3257565088071169845L;

  /** The name of the supported group. */
  private String groupName = null;
  
  /**
   * Getter method for the the property groupName.
   * @return The current value of property groupName.
   */
  public String getGroupName() {
    return groupName;
  }
  /**
   * Setter method for the the property groupName.
   * @param groupName The value to set for the property groupName.
   */
  public void setGroupName(String groupName) {
    this.groupName = groupName;
  }

  /**
   * Checks the row type.
   * @param row The row to check.
   * @return true if the row is valid for output, else false.
   */
  protected boolean checkRowType(Row row) {
    if ((row == null) || !TableConstants.ROW_TYPE_GROUP.equals(row.getType())) {
      return false;
    }
    GroupRow groupRow = (GroupRow) row;
    if ((groupName != null) && !groupRow.getGroupName().equals(groupName)) {
      return false;
    }
    return true;
  }
  
}
